# PropertyArray

#### new Cesium.PropertyArray(value)
DataSources/PropertyArray.js 16

A `Property` whose value is an array whose items are the computed value of other property instances.

Name | Type | Description
--- | --- | ---
`value` | Array.<Property> | optional An array of Property instances.

### Members

#### readonly definitionChanged : Event
DataSources/PropertyArray.js 56

Gets the event that is raised whenever the definition of this property changes. The definition is changed whenever setValue is called with data different than the current value or one of the properties in the array also changes.

#### readonly isConstant : Boolean
DataSources/PropertyArray.js 32

Gets a value indicating if this property is constant. This property is considered constant if all property items in the array are constant.

### Methods

#### equals(other) → Boolean
DataSources/PropertyArray.js 132

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Array.<Object>
DataSources/PropertyArray.js 70

Gets the value of the property.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Array.<Object> | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter, which is an array of values produced by evaluating each of the contained properties at the given time or a new instance if the result parameter was not supplied.

#### setValue(value)
DataSources/PropertyArray.js 106

Sets the value of the property.

Name | Type | Description
--- | --- | ---
`value` | Array.<Property> | An array of Property instances.